com.jgoodies.common.display

## Interface TableDisplayable

-     public interface TableDisplayable

  Describes how an object shall represent itself in table cells. The object may also have a general representation as described by the `Displayable` interface. And it may have a different default representation for list as described by the `ListDisplayable` interface.

  Used by the JGoodies `JGDisplaybleTableCellRenderer`.

  Since:
    1.7
  Author:
    Karsten Lentzsch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTableDisplayString()` Returns this object's default String presentation in table cells.

- - ### Method Detail

    - #### getTableDisplayString

          String getTableDisplayString()

      Returns this object's default String presentation in table cells.
      Returns:
        this object's standard table cell representation

Copyright © 2009-2013 JGoodies Software GmbH. All Rights Reserved.